#!/usr/bin/perl -w

push @SPECHOOKS, sub {
    my ($spec, $parent, $pkgname) = @_;
    my $mainsec=$spec->get_section('package','');
    my $instsec=$spec->get_section('install');
    unless ($instsec and $instsec->match_body('desktop-file-install')) {
	$mainsec->subst_body(qr'^BuildRequires:\s+desktop-file-utils\s*$','');
	$mainsec->subst_body_if(qr'\s+desktop-file-utils',' ', qr'^BuildRequires:');
    }
    $mainsec->subst_body(qr'^Requires\(post,postun\):\s+desktop-file-utils\s*$','');
    my %scriptsec=map {$_=>1} qw/pre post preun postun
        triggerin triggerun triggerpostin triggerpostun/;
    foreach my $section ($spec->get_sections()) {
	my $secname=$section->get_type();
	next unless $scriptsec{$secname};
	$section->exclude_body(qr'update-desktop-database');
    }
};

1;
